ExtensionController Methods

The ExtensionController type exposes the following members.

Methods
  NameDescription
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetDataProviders
GET /Extension/DataProviders/ Gets the data providers which can be created/saved by the caller.
Public methodGetDeliveryProviders
GET /Extension/DeliveryProviders/ Gets all the delivery providers in the system.
Public methodGetExportProviders
GET /Extension/ExportProviders/ Gets all the export providers in the system.
Public methodGetExtension
GET /Extension/{id} Gets the extension with the given ID.
Public methodGetExtensionFile
GET /Extension/File/{id} Gets the requested extension as a file.
Public methodGetFunctions
GET /Extension/Formulas/ Gets all the formulas in the system.
Public methodGetInstalledExtensions
GET /Extension/Installed Gets all of the installed extensions in the system.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetTimeDimensionProviders
GET /Extension/TimeDimensionProviders/ Gets all the time dimension providers in the system.
Public methodGetTransforms
GET /Extension/Transforms/ Gets all the transforms in the system.
Public methodInstallExtensionPackage
POST /Extension/File Install a new extension when sent as a file. This API call expects form files inside the request body.
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodReloadExtensions
POST /Extension/Reload/ Requests that the server reload all extension files into the application.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodUninstallExtension
DELETE /Extension/{id} Uninstalls the extension with the provided ID.
Top
See Also